%define oname ocaml-migrate-parsetree

Name:           %{oname}
Version:        1.5.0
Release:        %mkrel 5
Summary:        Convert OCaml parsetrees between different major versions
License:        LGPLv2.1
Group:          Development/OCaml
URL:            https://github.com/let-def/%{oname}
Source0:        https://github.com/ocaml-ppx/%{oname}/archive/v%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-dune
BuildRequires:  opam
BuildRequires:  ocaml-ppx_derivers-devel
BuildRequires:  ocaml-result-devel
Obsoletes:      ocaml-migrate-parsetree < 1.0.11-2
Provides:       ocaml-migrate-parsetree = %{version}-%{release}
%rename		ocaml-ocaml-migrate-parsetree

%description
This library converts between parsetrees of different OCaml versions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Obsoletes:      ocaml-migrate-parsetree-devel < 1.0.11-2
%rename		ocaml-ocaml-migrate-parsetree-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc README.md MANUAL.md
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.5.0-5.mga8
+ Revision: 1670287
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.5.0-4.mga8
+ Revision: 1551584
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1545730
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.5.0-2.mga8
+ Revision: 1485086
- rename ocaml-ocaml-migrate-parsetree -> ocaml-migrate-parsetree

* Sun Jan 26 2020 tv <tv> 1.5.0-1.mga8
+ Revision: 1483043
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 pterjan <pterjan> 1.1.0-2.mga7
+ Revision: 1325518
- Rebuild with new jbuilder (https://discuss.ocaml.org/t/is-it-currently-possible-to-use-ppx-deriving-in-a-jbuilder-project/426/11)

* Tue Oct 23 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1324549
- Fix file list
- Update to 1.1.0
- Obsolete again the wrongly named package
- Rebuild for ocaml 4.07.1
+ tv <tv>
- rebuild with ocaml-4.07.1

* Wed Aug 29 2018 daviddavid <daviddavid> 1.0.7-5.mga7
+ Revision: 1255388
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1.0.7-4.mga7
+ Revision: 1241891
- update files list

* Tue Jun 12 2018 daviddavid <daviddavid> 1.0.7-3.mga7
+ Revision: 1236480
- reenable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1.0.7-2.mga7
+ Revision: 1193258
- obsolete wrong name

* Sun Jan 14 2018 pterjan <pterjan> 1.0.7-1.mga7
+ Revision: 1193250
- imported package ocaml-ocaml-migrate-parsetree

